<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Authentication</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Authentication<br/>
<small>
[<a class="el" href="group__public.html">User interface</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga0fee5c5f97076e491e3b0ce0eb620a8b">phpCAS::setCacheTimesForAuthRecheck</a> ($n)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gaba62986d4729cb8e9ee3b1ad07f295e7">phpCAS::checkAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gac9d8abbb3b2d3b2eddf496d805f79649">phpCAS::forceAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga62e4c5c20de162ea260d1359c14b54ad">phpCAS::renewAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gaa9c3f3e035061c3c920aa9e25f6a86f3">phpCAS::authenticate</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga38f5c54cfbc7009cff06b1c966e24add">phpCAS::isAuthenticated</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gae0f455ca04d3fcf0d285e91a6a795db4">phpCAS::isSessionAuthenticated</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gad145e405b1f4b4e93239a255736df893">phpCAS::getUser</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga08177ed3360e5772a0d7cfe5463ab945">phpCAS::handleLogoutRequests</a> ($check_client=true, $allowed_clients=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga6cc82e2084b937d570edd5e7c4f23245">phpCAS::getServerLoginURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga5711a76cc9d372ceea39e20dbc755df4">phpCAS::setServerLoginURL</a> ($url='')</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga87190fbc1b234e43445d310f0767388e">phpCAS::getServerLogoutURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga6581de12d8a8374149d5110dc6412034">phpCAS::setServerLogoutURL</a> ($url='')</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga249fefb16da413b4b81fdeb8bd014ad4">phpCAS::logout</a> ($params=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga8231548d961e8e15cefa39c8fda9f767">phpCAS::logoutWithRedirectService</a> ($service)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gaf78c3a6033369e48a9618144f31a9d01">phpCAS::logoutWithUrl</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gab61884d57b47ef7abba326108a2ab690">phpCAS::logoutWithRedirectServiceAndUrl</a> ($service, $url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga971d20eb2bd2f44f9f2c7726ddc1cc7c">phpCAS::setFixedCallbackURL</a> ($url='')</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gaf3637761775aa2373727bdb1ced7b2c8">phpCAS::setFixedServiceURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga83b187507ed58d105cc0ac38047747c4">phpCAS::getServiceURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga8db51c365c490fa357f464f2a1f40dd4">phpCAS::retrievePT</a> ($target_service, &amp;$err_code, &amp;$err_msg)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#ga75c303e6a6489da4c0e256ec707f1d6f">phpCAS::setCasServerCert</a> ($cert)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gad614b11ad8e3940dbe46839c51616053">phpCAS::setCasServerCACert</a> ($cert)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html#gacd9bd0c52d0c72a5d746365c4808527a">phpCAS::setNoCasServerValidation</a> ()</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaa9c3f3e035061c3c920aa9e25f6a86f3"></a><!-- doxytag: member="phpCAS::authenticate" ref="gaa9c3f3e035061c3c920aa9e25f6a86f3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::authenticate </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method has been left from version 0.4.1 for compatibility reasons. </p>

</div>
</div>
<a class="anchor" id="gaba62986d4729cb8e9ee3b1ad07f295e7"></a><!-- doxytag: member="phpCAS::checkAuthentication" ref="gaba62986d4729cb8e9ee3b1ad07f295e7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::checkAuthentication </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called to check if the user is authenticated (use the gateway feature). </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE when the user is authenticated; otherwise FALSE. </dd></dl>

</div>
</div>
<a class="anchor" id="gac9d8abbb3b2d3b2eddf496d805f79649"></a><!-- doxytag: member="phpCAS::forceAuthentication" ref="gac9d8abbb3b2d3b2eddf496d805f79649" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::forceAuthentication </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called to force <a class="el" href="classauthentication.html">authentication</a> if the user was not already authenticated. If the user is not authenticated, halt by redirecting to the CAS server. </p>

</div>
</div>
<a class="anchor" id="ga6cc82e2084b937d570edd5e7c4f23245"></a><!-- doxytag: member="phpCAS::getServerLoginURL" ref="ga6cc82e2084b937d570edd5e7c4f23245" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::getServerLoginURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the URL to be used to login. or <a class="el" href="group__public_auth.html#ga38f5c54cfbc7009cff06b1c966e24add">phpCAS::isAuthenticated()</a>.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the login name of the authenticated user </dd></dl>

</div>
</div>
<a class="anchor" id="ga87190fbc1b234e43445d310f0767388e"></a><!-- doxytag: member="phpCAS::getServerLogoutURL" ref="ga87190fbc1b234e43445d310f0767388e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::getServerLogoutURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the URL to be used to login. or <a class="el" href="group__public_auth.html#ga38f5c54cfbc7009cff06b1c966e24add">phpCAS::isAuthenticated()</a>.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the login name of the authenticated user </dd></dl>

</div>
</div>
<a class="anchor" id="ga83b187507ed58d105cc0ac38047747c4"></a><!-- doxytag: member="phpCAS::getServiceURL" ref="ga83b187507ed58d105cc0ac38047747c4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::getServiceURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Get the URL that is set as the CAS service parameter. </p>

</div>
</div>
<a class="anchor" id="gad145e405b1f4b4e93239a255736df893"></a><!-- doxytag: member="phpCAS::getUser" ref="gad145e405b1f4b4e93239a255736df893" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::getUser </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the CAS user's login name. </p>
<dl class="warning"><dt><b>Warning:</b></dt><dd>should not be called only after <a class="el" href="group__public_auth.html#gac9d8abbb3b2d3b2eddf496d805f79649">phpCAS::forceAuthentication()</a> or <a class="el" href="group__public_auth.html#gaba62986d4729cb8e9ee3b1ad07f295e7">phpCAS::checkAuthentication()</a>.</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>the login name of the authenticated user </dd></dl>

</div>
</div>
<a class="anchor" id="ga08177ed3360e5772a0d7cfe5463ab945"></a><!-- doxytag: member="phpCAS::handleLogoutRequests" ref="ga08177ed3360e5772a0d7cfe5463ab945" args="($check_client=true, $allowed_clients=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::handleLogoutRequests </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>check_client</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>allowed_clients</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Handle logout requests. </p>

</div>
</div>
<a class="anchor" id="ga38f5c54cfbc7009cff06b1c966e24add"></a><!-- doxytag: member="phpCAS::isAuthenticated" ref="ga38f5c54cfbc7009cff06b1c966e24add" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::isAuthenticated </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called to check if the user is authenticated (previously or by tickets given in the URL).</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE when the user is authenticated. </dd></dl>

</div>
</div>
<a class="anchor" id="gae0f455ca04d3fcf0d285e91a6a795db4"></a><!-- doxytag: member="phpCAS::isSessionAuthenticated" ref="gae0f455ca04d3fcf0d285e91a6a795db4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::isSessionAuthenticated </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Checks whether authenticated based on $_SESSION. Useful to avoid server calls. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if authenticated, false otherwise. </dd></dl>
<dl class="since"><dt><b>Since:</b></dt><dd>0.4.22 by Brendan Arnold </dd></dl>

</div>
</div>
<a class="anchor" id="ga249fefb16da413b4b81fdeb8bd014ad4"></a><!-- doxytag: member="phpCAS::logout" ref="ga249fefb16da413b4b81fdeb8bd014ad4" args="($params=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::logout </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>params</em> = <code>&quot;&quot;</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to logout from CAS.  $params an array that contains the optional url and service parameters that will be passed to the CAS server </p>

</div>
</div>
<a class="anchor" id="ga8231548d961e8e15cefa39c8fda9f767"></a><!-- doxytag: member="phpCAS::logoutWithRedirectService" ref="ga8231548d961e8e15cefa39c8fda9f767" args="($service)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::logoutWithRedirectService </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>service</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to logout from CAS. Halts by redirecting to the CAS server. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$service</em>&nbsp;</td><td>a URL that will be transmitted to the CAS server </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab61884d57b47ef7abba326108a2ab690"></a><!-- doxytag: member="phpCAS::logoutWithRedirectServiceAndUrl" ref="gab61884d57b47ef7abba326108a2ab690" args="($service, $url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::logoutWithRedirectServiceAndUrl </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>service</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to logout from CAS. Halts by redirecting to the CAS server. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$service</em>&nbsp;</td><td>a URL that will be transmitted to the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>a URL that will be transmitted to the CAS server </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf78c3a6033369e48a9618144f31a9d01"></a><!-- doxytag: member="phpCAS::logoutWithUrl" ref="gaf78c3a6033369e48a9618144f31a9d01" args="($url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::logoutWithUrl </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to logout from CAS. Halts by redirecting to the CAS server. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>a URL that will be transmitted to the CAS server </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga62e4c5c20de162ea260d1359c14b54ad"></a><!-- doxytag: member="phpCAS::renewAuthentication" ref="ga62e4c5c20de162ea260d1359c14b54ad" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::renewAuthentication </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called to renew the <a class="el" href="classauthentication.html">authentication</a>. </p>

</div>
</div>
<a class="anchor" id="ga8db51c365c490fa357f464f2a1f40dd4"></a><!-- doxytag: member="phpCAS::retrievePT" ref="ga8db51c365c490fa357f464f2a1f40dd4" args="($target_service, &amp;$err_code, &amp;$err_msg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::retrievePT </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>target_service</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>err_code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>err_msg</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Retrieve a Proxy Ticket from the CAS server. </p>

</div>
</div>
<a class="anchor" id="ga0fee5c5f97076e491e3b0ce0eb620a8b"></a><!-- doxytag: member="phpCAS::setCacheTimesForAuthRecheck" ref="ga0fee5c5f97076e491e3b0ce0eb620a8b" args="($n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setCacheTimesForAuthRecheck </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>n</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the times <a class="el" href="classauthentication.html">authentication</a> will be cached before really accessing the CAS server in gateway mode:</p>
<ul>
<li>-1: check only once, and then never again (until you pree login)</li>
<li>0: always check</li>
<li>n: check every "n" time</li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$n</em>&nbsp;</td><td>an integer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad614b11ad8e3940dbe46839c51616053"></a><!-- doxytag: member="phpCAS::setCasServerCACert" ref="gad614b11ad8e3940dbe46839c51616053" args="($cert)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setCasServerCACert </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>cert</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the certificate of the CAS server CA.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$cert</em>&nbsp;</td><td>the CA certificate </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga75c303e6a6489da4c0e256ec707f1d6f"></a><!-- doxytag: member="phpCAS::setCasServerCert" ref="ga75c303e6a6489da4c0e256ec707f1d6f" args="($cert)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setCasServerCert </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>cert</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the certificate of the CAS server.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$cert</em>&nbsp;</td><td>the PEM certificate </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga971d20eb2bd2f44f9f2c7726ddc1cc7c"></a><!-- doxytag: member="phpCAS::setFixedCallbackURL" ref="ga971d20eb2bd2f44f9f2c7726ddc1cc7c" args="($url='')" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setFixedCallbackURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em> = <code>''</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the fixed URL that will be used by the CAS server to transmit the PGT. When this method is not called, a <a class="el" href="classphp_c_a_s.html">phpCAS</a> script uses its own URL for the callback.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>the URL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf3637761775aa2373727bdb1ced7b2c8"></a><!-- doxytag: member="phpCAS::setFixedServiceURL" ref="gaf3637761775aa2373727bdb1ced7b2c8" args="($url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setFixedServiceURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the fixed URL that will be set as the CAS service parameter. When this method is not called, a <a class="el" href="classphp_c_a_s.html">phpCAS</a> script uses its own URL.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>the URL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gacd9bd0c52d0c72a5d746365c4808527a"></a><!-- doxytag: member="phpCAS::setNoCasServerValidation" ref="gacd9bd0c52d0c72a5d746365c4808527a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setNoCasServerValidation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set no SSL validation for the CAS server. </p>

</div>
</div>
<a class="anchor" id="ga5711a76cc9d372ceea39e20dbc755df4"></a><!-- doxytag: member="phpCAS::setServerLoginURL" ref="ga5711a76cc9d372ceea39e20dbc755df4" args="($url='')" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setServerLoginURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em> = <code>''</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the login URL of the CAS server. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>the login URL </td></tr>
  </table>
  </dd>
</dl>
<dl class="since"><dt><b>Since:</b></dt><dd>0.4.21 by Wyman Chan </dd></dl>

</div>
</div>
<a class="anchor" id="ga6581de12d8a8374149d5110dc6412034"></a><!-- doxytag: member="phpCAS::setServerLogoutURL" ref="ga6581de12d8a8374149d5110dc6412034" args="($url='')" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setServerLogoutURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em> = <code>''</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the logout URL of the CAS server. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>the logout URL </td></tr>
  </table>
  </dd>
</dl>
<dl class="since"><dt><b>Since:</b></dt><dd>0.4.21 by Wyman Chan </dd></dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:55 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
